package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.User;


import java.util.List;

/**
*@ Description:  日定时任务
*@ Author     : 86187
*@ Date       : 2021/3/25 15:09
 * @author 86187
 */
public interface DayTaskService {
    /**
     * 订单返佣-日任务
     * @return true or false
     */
    R<Boolean> orderRebate();

    /**
     * 收益和业绩统计（月度肥料 -日）
     * @return true or false
     */
    R<Boolean> performanceCount();

    /**
     * 获取用户的上级信息
     *
     * @param userId 用户id
     * @return 用户商机列表
     */
    List<User> getByList(String userId);

    /**
     * 进步奖收益统计（最大进步奖） -日任务
     *
     * @return true or false
     */
    R<Boolean> progressPrizeCount();
}
